com.jacob.com

## Class JacobReleaseInfo

- java.lang.Object
- - com.jacob.com.JacobReleaseInfo

    public class JacobReleaseInfo
    extends java.lang.Object

An interface to the version properties file. This code was removed from JacobObject because it doesn't belong there.

### Constructor Summary

Constructors
Constructor and Description
`JacobReleaseInfo()`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.lang.String` `getBuildDate()` loads PROPERT_FILE_NAME and returns the value of version in it
`static java.lang.String` `getBuildVersion()` loads PROPERT_FILE_NAME and returns the value of version in it

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JacobReleaseInfo

    public JacobReleaseInfo()

### Method Detail

#### getBuildDate

    public static java.lang.String getBuildDate()

loads PROPERT_FILE_NAME and returns the value of version in it

Returns:
  String value of version in PROPERT_FILE_NAME or "" if none

#### getBuildVersion

    public static java.lang.String getBuildVersion()

loads PROPERT_FILE_NAME and returns the value of version in it

Returns:
  String value of version in PROPERT_FILE_NAME or "" if none